=== debian/control ===
Source: ros-noetic-openni-camera
Section: misc
Priority: optional
Maintainer: Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>
Build-Depends: debhelper (>= 9.0.0), liblog4cxx-dev, libopenni-dev, libusb-1.0-0-dev, ros-noetic-camera-info-manager, ros-noetic-catkin, ros-noetic-dynamic-reconfigure, ros-noetic-image-transport, ros-noetic-nodelet, ros-noetic-roscpp, ros-noetic-sensor-msgs
Homepage: http://www.ros.org/wiki/openni_camera
Standards-Version: 3.9.2

Package: ros-noetic-openni-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblog4cxx-dev, libopenni-dev, libusb-1.0-0-dev, ros-noetic-camera-info-manager, ros-noetic-dynamic-reconfigure, ros-noetic-image-transport, ros-noetic-nodelet, ros-noetic-roscpp, ros-noetic-sensor-msgs
Description: A ROS driver for OpenNI depth (+ RGB) cameras.
 These include: Microsoft Kinect, PrimeSense PSDK, ASUS Xtion Pro and Pro Live The driver publishes raw depth, RGB, and IR image streams.
